@import '../../assets/styles/common.scss';

.report {
  margin: 3rem;

  &-form {
    display: flex;
    flex-direction: column;

    &--center {
      display: flex;
      justify-content: center;
      margin-top: 2.5rem;
    }

    &__close {
      position: absolute;
      top: 1.6rem;
      right: 3.2rem;
      width: 4.5rem;
    }

    &__radioGroup {
      align-items: center;
      margin-top: 1.6rem;

      .radio__button {
        padding: 1.2rem;
      }
    }

    &-options {
      align-self: start;
      margin: 2rem 0 2rem 5rem;

      &__label {
        font-family: $lato;
        font-size: 2.5rem;
        color: $white;
      }
    }

    &__btn {
      &-img {
        position: absolute;
      }
    }

    &__title {
      font-style: italic;
      font-size: 5rem;
      text-align: center;
    }

    &__subTitle {
      font-family: $lato-light;
      font-style: normal;
      font-size: 3.6rem;
      text-align: center;
    }

    &__controls {
      display: flex;
      flex-direction: column;
      align-items: center;
    }

    &__textArea {
      width: 75%;
      margin-top: 1rem;
      margin-right: 5rem;
      margin-bottom: 3rem;
    }

    &__submit {
      width: 26.4rem;
      height: 6.8rem;
      border: 2px solid silver;
    }

    &__txt {
      display: flex;
      justify-content: center;
      padding-top: 3.5rem;

      &--error {
        @extend .report-form__txt;

        height: 0;
        color: $white;
      }
    }

    &__descLength {
      align-self: flex-end;
      font-size: 1.5rem;
    }
  }

  @media only screen and (max-width: 1400px) {
    margin:1rem;

    &-form {
      &--center {
        margin-top: 3rem;
      }

      &__radioGroup {
        margin-top: 1rem;

        .radio__button {
          padding: .6rem;
        }
      }

      &__close {
        top: 0;
        right: 1rem;
        width: 3.5rem;
      }

      &__title {
        font-style: italic;
        font-size: 3rem;
        text-align: center;
      }

      &__subTitle {
        font-size: 2rem;
      }

      &__textArea {
        width: 70%;
        margin-top: 0;
        margin-right: 3rem;
        margin-bottom: 0;
      }

      &__submit {
        width: 20rem;
        height: 5rem;
      }

      &__txt {
        padding-top: 2rem;
      }

      &-options {
        align-self: start;
        margin: 1rem 0 1rem 7rem;

        &__label {
          font-size: 2rem;
        }
      }

      &__btn-img {
        width: 27rem;
      }
    }
  }
}
